#
# spec file for package ocaml-extlib
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Andrew Psaltis <ampsaltis at gmail dot com>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ocaml-extlib
Version:        1.7.0
Release:        3.1
%{ocaml_preserve_bytecode}
Summary:        OCaml ExtLib additions to the standard library
License:        LGPL-2.1+
Group:          Development/Libraries
Url:            https://github.com/ygrek/ocaml-extlib
Source0:        %{name}-%{version}.tar.xz
Patch0:         ocaml-extlib-makefile.patch
BuildRequires:  ocaml >= 3.10.1
BuildRequires:  ocaml-cppo
BuildRequires:  ocaml-findlib
BuildRequires:  ocamlfind(bytes)
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-rpm-macros >= 4.02.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# ocaml autodep start for pkg: ocaml-extlib
# hardcoded rpm dependency for pre 12.1 to compensate for lack of ocaml() provides/requires
%if 0%{?suse_version} < 1210
Requires:       ocaml-runtime
%endif
# ocaml autodep end for pkg: ocaml-extlib

%description
ExtLib is a project aiming at providing a complete - yet small -
standard library for the OCaml programming language. The purpose of
this library is to add new functions to OCaml Standard Library
modules, to modify some functions in order to get better performances
or more safety (tail-recursive) but also to provide new modules which
should be useful for the average OCaml programmer.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1

%build
make -C src all
%if %{ocaml_native_compiler}
make -C src opt cmxs
%endif

%install
d="$RPM_BUILD_ROOT`ocamlfind printconf destdir`"
mkdir -vp $d
env \
OCAMLFIND_DESTDIR=$d \
make install

%files
%defattr(-,root,root,-)
%doc README LICENSE
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.cmxs
%endif

%files devel
%defattr(-,root,root,-)
%dir %{_libdir}/ocaml
%dir %{_libdir}/ocaml/*
%if %{ocaml_native_compiler}
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.cmxa
%endif
%{_libdir}/ocaml/*/*.cma
%{_libdir}/ocaml/*/*.cmi
%{_libdir}/ocaml/*/*.mli
%{_libdir}/ocaml/*/META

%changelog
* Wed May 25 2016 olaf@aepfle.de
- Update to version 1.7.0 (fate#320836)
  added ocaml-extlib-makefile.patch
  removed extlib-install.patch
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Wed Sep 24 2014 sleep_walker@suse.cz
- build native code unconditionaly
* Wed Sep 24 2014 sleep_walker@suse.cz
- let there be ocaml-extlib!
